/*
Theme Name: Flatsome Child
Description: This is a child theme for Flatsome Theme
Author: UX Themes
Template: flatsome
Version: 3.0
*/

/*************** Общие стили   ***************/
:root {
    --bg-color: #2b2a2a;
    --bg-gradient: linear-gradient(154deg, rgb(105 105 105) 0%, rgb(45 44 43) 35%);
    --txt-color: grey;
    --sq-color: linear-gradient(154deg, rgba(245,157,47,1) 0%, rgba(228,116,14,1) 35%);
    --main-color-game: #1b051e;
    --main-color-game-active: #571061;
    --body-color: #f7e8bf;
}

/* Fix style for site*/
.wc-block-components-button__text:hover {
    color: #b5b5b5;
}
a:hover.wc-block-components-button.wp-element-button.wc-block-cart__submit-button.contained {
    color: #b5b5b5;
}

a.account-link.account-login.is-small svg {
    margin-left: 10px;
    margin-bottom: 5px;
}

span.cart-pixel-icon-wrapper {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}

span.cart-pixel-icon-wrapper strong {
    position: absolute;
    bottom: 10px;
    text-align: center;
    line-height: normal;
    font-size: 12px;
    padding-left: 2px;
}

.nav-dark .nav>li>a span.cart-pixel-icon-wrapper>span>svg g#surface1 path,
.nav-dark .nav>li>a svg g#surface1 path {
    fill: rgb(255 255 255) !important;
}

@media (max-width: 848px) {
    ul.mobile-nav li.account-item.has-icon a svg {
        margin-bottom: 5px;
    }
    span.cart-pixel-icon-wrapper strong {
        bottom: 9px;
    }
}

.nav-dark .h-black {
    display: none;
}
.h-white {
    display: none;
}
.nav-dark .h-white {
    display: block;
}

.h-white a {
    color: #fff;
}

.header-language-dropdown a {
    font-size: 1.1em !important;
}

.transparent .h-black {
    display: none;
}
/* END Fix style for site*/


@media (max-width: 549px) {
    h3 {
        font-size: 1.25em;
    }
}

/* Страница Checkout */
p#wc-stripe-express-checkout-button-separator {
    visibility: hidden;
}
/* END Страница Checkout */

/* CF7 */
.form-flat input:not([type=submit]), .form-flat select, .form-flat textarea {
    border-radius: 0;
}
.form-flat button, .form-flat input {
    border-radius: 0;
}
.flex-row.form-flat .flex-col, .form-flat .flex-row .flex-col {
    padding-right: 10px;
}
.flex-row.form-flat .flex-col:last-child {
    padding-right: 0;
}
.wpcf7 .wpcf7-response-output {
    border-radius: 0;
}
.form-flat .button:last-of-type {
    width: 100%;
}
/* CF7 end */


/*Product page*/
.badge-inner {
    padding: 10px;
}
.badge {
    margin: 0 5px;
}

.badge {
    height: 2em;
}

.grecaptcha-badge {visibility: hidden;}
.adoptive-table {overflow-x: auto;}

button.pum-close.popmake-close {
    margin: 0;
}
.table-response {
    width: 100%;
    overflow-x: scroll;
}

.woocommerce-form-coupon-toggle .message-container {
    background-color: #fffccc;
    padding: 0 10px;
}

.woocommerce-notice--success {
    font-size: 24px;
    background-color: #398570;
    padding: 10px 20px;
    color: #fff !important;
}

.demo_store {
    background-color: #c50000;
}
.demo_store a {
    color: #a3c8ff;
}

a.icon:not(.button), button.icon:not(.button) {
    font-size: 1.5em;
}
/* product page*/
.sticky-add-to-cart--active {
    background-color: hsl(294.38deg 40% 15.69%);
    border-top: 1px solid #23001b;
    z-index: 50;
    color: #fff;
}
/* product page*/


section.section.bottom-0 {
    z-index: 0;
}
section.section.top-1 {
    z-index: 1;
}


/*Квест*/
.radius-photo img {
    border-radius: 120px;
}
.wrapper-quest {
    margin-top: 20px;
    margin-bottom: 20px;
}

.game-content-wrapper section {
    padding-left: 0 !important;
    padding-right: 0 !important;
}

.games-template .mfp-figure:after {
    background: transparent;
    box-shadow: none;
}

.info-msg-star-games {
    position: fixed;
    bottom: 65px;
    right: 19px;
    width: 40px;
    height: 40px;
    z-index: 9999;
    background-color: #c67748;
    border: 3px solid #512639;
    text-align: center;
    cursor: pointer;
}

.info-msg-star-games span {
    font-size: 23px;
    font-weight: 100;
    font-family: "Press Start 2P", cursive;
    color: #faefd2;
}

/*Квест*/


a.delete {
    border: none !important;
    color: #a33939;
    display: initial !important;
    font-size: 17px!important;
    font-weight: 100;
    height: 24px;
    line-height: 19px!important;
    text-align: center;
    width: 24px;
}
.social_link_form {
    display: flex;
    justify-content: center;
    align-items: center;
}
.social_link_form ul.anycomment-socials {
    justify-content: center;
}

.link_agreement span a {
    color: #028fff;
}
.woocommerce-additional-fields h3 {
    display: none;
}

/* Шаблон с картинкой */
section.section.d_mod-sections {
    padding-left: 0;
    padding-right: 0;
}

.images-interactive {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    position: relative;
    overflow: hidden;
    width: 300px;
}
.images-interactive .img {
    margin: 0 auto;
    display: block;
    z-index: 0;
    position: absolute;
    width: 100%;
    max-width: 300px;
    height: auto;
}

.square {
    background: rgb(29 29 29 / 0%);
    box-shadow: 0 0 2px rgb(0 0 0 / 0%);
    transition: 2s ease;
    z-index: 1;
    color: rgb(255 255 255 / 0%);
    text-align: center;
}
.debugs .square {
    background: rgb(29 29 29 / 50%);
    color: rgb(255 255 255);
    font-size: 8px;
    border: 1px solid #ff3c3c42;
}

.square:hover {
    transition-duration: 0s;
}

@media only screen and (max-width: 366px) {

}

.square.add__color {
    background-color: rgb(47, 247, 80);
}
/* Шаблон с картинкой */




button.rm-btn.dark {
    background-color: var(--primary-color);
}


@media only screen and (max-width: 330px) {
    .title-name {
        font-size: 14px;
    }
}






/*Личный кабинет*/
p#copy-promo-cod {
    border: 5px dashed #834803;
    padding: 20px 10px;
    background-color: beige;
    margin-bottom: 10px;
    cursor: pointer;
}

.promocode-wrapper p small {
    color: #a8a4a4;
    font-size: 23px;
}

.promocode-wrapper p {
    margin-bottom: 10px;
}

.text.mb-0 p {
    margin-bottom: 0;
}
label.woocommerce-form__label.woocommerce-form__label-for-checkbox.link_agreement {
    display: flex;
    align-items: center;
    justify-content: flex-start;
}

.quests-notice.quests-notice--other-lang {
    background-color: antiquewhite;
    padding: 15px 20px;
    margin-bottom: 20px;
}

/*Конец Личный кабинет*/





/*Сертификаты*/
@media (max-width: 640px) {
    div#popmake-1856 {
        width: 100% !important;
    }
}

button.button-certificate {
    color: #fff;
}

button.gen-certificate {
    color: #fff;
}


.error-msg {
    background-color: indianred;
    color: #fff;
    padding: 2px 10px;
}
.success-msg {
    background-color: rgb(0, 112, 51);
    color: #fff;
    padding: 2px 10px;
}

.success-msg a {
    color: #c8c8c8;
}
.block-msg {
    display: none;
}
.block-msg.active {
    display: block;
}
.payment-to-page.redirect {
    visibility: hidden;
    display: none;
}
/*Сертификаты*/


/*Скорее всего связано с сертификатами */
form._sending {
    visibility: hidden;
}

input.req__input.error {
    border-color: #e13508;
}

.error span.msg {
    padding: 10px 10px;
    background-color: rgb(221 55 22 / 18%);
    margin-bottom: 10px;
    display: block;
}

form#start-game button {
    display: block;
    /* justify-content: center; */
    /* align-items: center; */
    margin: 0 auto;
}

.view-timer-block {
    display: block;
    margin: 0 auto;
    text-align: center;
}
.title-timer {
    font-size: 32px;
    font-weight: 600;
}
.timer-block {
    font-size: 38px;
}

#customer_login .pb-0 {
    margin-bottom: 40px;
}

.price__block span:first-child {
    font-size: 35px;
    font-weight: 700;
}

td.active_order .good {
    padding: 10px;
    background-color: darkseagreen;
    color: #fff;
}
td.active_order .null {
    padding: 10px;
    background-color: #b4b4b4;
    color: #fff;
}
td.active_order .bad {
    padding: 10px;
    background-color: #ad1919;
    color: #fff;
}
span.price-serf {
    font-size: 32px;
    font-weight: 600;
}
.add-to-cart-container.form-minimal.is-xlarge {
    display: inline-block;
    width: auto;
    margin-right: 30px;
}
a.button.secondary.is-outline.is-xlarge.btn--product {
    margin-top: -4px;
}

@media (max-width: 991px) {
    a.button.secondary.is-outline.is-xlarge.btn--product {
        margin-bottom: 3px;
        margin-top: 0;
    }
}

@media (max-width: 896px) {
    a.button.secondary.is-outline.is-xlarge.btn--product {
        margin-top: 15px;
    }
}

@media (max-width: 600px) {
    a.button.secondary.is-outline.is-xlarge.btn--product {
        font-size: 18px;
    }
}
/*Скорее всего связано с сертификатами */

/*26.03.2024*/
/* Один из шаблонов игры*/
ul.list-wrapper {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: center;
}
li.item-list {
    background-color: aliceblue;
    text-align: center;
    margin-left: 0 !important;
    padding: 5px 10px;
}

li.item-list {
    background: #f0f8ff;
    display: inline-block;
    position: relative;
    text-align: center;
    font-size: 11px;
    padding: 5px 10px;
    font-family: "Press Start 2P", cursive;
    text-decoration: none;
    color: #502739;
    box-shadow: inset -2px -2px 0 0 #c67748;
    font-weight: 400;
    text-transform: uppercase;
    cursor: pointer;
}
li.item-list:hover, li.item-list:focus {
    background: #adceab;
    box-shadow: inset -2px -2px 0 0 #faefd2;
    color: #4f2839;
}
li.item-list:active {
    box-shadow: inset 2px 2px 0 0 #faefd2;
}
li.item-list:before, li.item-list:after {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    box-sizing: content-box;
}
li.item-list:before {
    top: -2px;
    left: 0;
    border-top: 2px #381726 solid;
    border-bottom: 2px #381726 solid;
}
li.item-list:after {
    left: -2px;
    top: 0;
    border-left: 2px #381726 solid;
    border-right: 2px #381726 solid;
}
li.item-list.active {
    background: #adceab;
    box-shadow: inset -2px -2px 0 0 #faefd2;
    color: #4f2839;
}
/* Один из шаблонов игры*/


/* выподающий список */
input.input-hidden {
    display: none;
}

button.select__toggle {
    background-color: #fff;
    border-radius: 7px;
    text-transform: inherit;
    margin-right: 0;
}

ul.list-select.list-option {
    list-style: none;
    background-color: #ededed;
    border-radius: 7px;
    display: none;
}

li.select-item {
    margin: 0 !important;
    padding: 11px 25px;
    transition: transform 300ms ease-in-out;
    border-bottom: 1px solid #bdbdbd;
}

li.select-item:last-child {
    border-bottom: none;
}

ul.list-select.list-option.active {
    display: block;
    transform: translate(0px, -2px);
}


/* Наверное шаблон игры с картикой  */
button.select__toggle {
    padding: 0 2.4em 0 1.2em;
    width: 100%;
}
button.select__toggle:after {
    content: '';
    background-image: url(/wp-content/uploads/2024/04/expand_less.svg);
    background-repeat: no-repeat;
    position: absolute;
    top: 6px;
    right: 7px;
    width: 24px;
    height: 24px;
    transform: rotate(180deg);
    transition: transform .3s ease-in-out;
}

button.select__toggle.active:after {
    transform: rotate(0deg);
}



svg.img-item {
    width: 100%;
    height: 100%;
}

rect.react-item.active {
    fill: #adcdab78;
    stroke: #42653f7d;
    stroke-width: 3px;
}
/* Наверное шаблон игры с картикой  */

/*Таймер*/
.timer-block {
    display: flex;
    justify-content: center;
    gap: 20px;
}
.time--name {
    font-size: 17px;
    color: #0a0a0aa6;
}

/* locations quests */
.block-wrapprt--city {
    display: flex;
    align-items: center;
}
.block-wrapprt--city .city-text {
    font-size: 16px;
    color: #351838;
    font-weight: 600;
    margin-left: 7px;
}

.block-wrapprt--city .city-icon svg {
    width: 13px;
    height: 13px;
}

.block-wrapprt--city-single {
    display: flex;
    align-items: center;
}
.block-wrapprt--city-single .city-text {
    font-size: 23px;
    line-height: normal;
    margin-left: 10px;
}
.city-icon {
    line-height: normal;
}
.block-wrapprt--city-single .city-icon svg {
    width: 17px;
    height: 20px;
    fill: rgb(240 248 255) !important;
}
.block-wrapprt--city-single .city-icon svg g path {
    fill: rgb(240 248 255) !important;
}

@media screen and (max-width: 549px) {
    .block-wrapprt--city {
        position: relative;
    }
}

/* Личный кабинет*/
.user-count-wrapper {
    width: 50%;
    padding: 13px 20px;
    border: 1px solid #341937;
    border-radius: 5px;
    box-shadow: 3px 5px 0 rgb(52 25 55 / 76%);
    margin-bottom: 35px;
}
p.title-user-count {
    font-size: 63px;
    font-weight: 600;
    line-height: 60px;
    margin: 0;
    text-align: center;
}
.user-count-wrapper span {
    font-size: 14px;
    line-height: 16px;
    margin-top: 8px;
    text-align: center;
    color: #7f7f7f;
    display: block;
}
.user-wrapper {
    width: 100%;
    padding: 13px 20px;
    border: 1px solid #341937;
    border-radius: 5px;
    box-shadow: 3px 5px 0 rgb(52 25 55 / 76%);
    display: flex;
    flex-wrap: wrap;
    margin-bottom: 25px;
    gap: 5px;
}
.user-info {
    margin-bottom: 35px;
    width: 50%;
}
.user-info-name {
    font-size: 24px;
    line-height: 25px;
    font-weight: 600;
}
.user-info-name span {
    font-size: 16px;
    line-height: 16px;
    color: #7f7f7f;
}
.user-info-email {
    font-size: 16px;
    line-height: 25px;
}
.user-static {
    width: 50%;
}
.order-game-wrapper {
    width: 100%;
    margin-bottom: 15px;
}
.order-wrapper {
    border: 1px solid rgb(52 25 55 / 13%);
    border-radius: 7px;
    padding: 12px;
    box-shadow: 3px 0 0 #341937;
}
.order-top {
    display: flex;
    justify-content: space-between;
    border-bottom: 1px solid rgb(52 25 55 / 13%);
    padding-bottom: 13px;
    align-items: flex-start;
}
.item-status {
    padding: 7px;
    line-height: 16px;
    font-size: 16px;
    height: auto;
    display: block;
    width: auto;
    background-color: aquamarine;
    border-radius: 6px;
}
.item-status.wc-archive {
    background-color: antiquewhite;
}
.item-status.wc-cancelled {
    background-color: indianred;
    color: aliceblue;
}
.item-status.wc-completed {
    background-color: darkseagreen;
}
ul.step-wrapper {
    display: flex;
    list-style: none;
    padding: 0;
    margin: 0;
}
.order-bottom {
    margin-top: 15px;
}
ul.step-wrapper li.step-info {
    margin-right: 11px;
    display: flex;
    flex-direction: column;
    position: relative;
    padding-right: 10px;
    margin-bottom: 0;
}
ul.step-wrapper li.step-info:last-child {
    margin-right: 0;
}
li.step-info span {
    font-size: 11px;
    color: #7f7f94;
}

ul.step-wrapper li.step-info::after {
    content: '';
    position: absolute;
    border-left: 1px solid rgb(52 25 55 / 13%);
    right: 0;
    width: auto;
    height: 100%;
}
ul.step-wrapper li:last-child.step-info::after {
    border-left: none;
}

.tabs-sell-games ul li:last-child {
    margin-left: 3px;
}
.tabs-sell-games ul li:not(.active) {
    border: 1px solid var(--fs-color-primary);
    border-radius: 100px;
}

@media screen and (max-width: 700px){
    ul.step-wrapper {
        flex-wrap: wrap;
    }
    ul.step-wrapper li.step-info {
        margin-bottom: 9px;
    }
}

@media screen and (max-width: 500px){
    .user-info {
        width: 100%;
    }
    .user-static {
        width: 50%;
    }
    .order-top {
        flex-wrap: wrap;
    }
}

@media screen and (max-width: 402px){
    .tabs-sell-games ul li a {
        font-size: 1em;
    }
}

@media screen and (max-width: 374px){
    .tabs-sell-games ul li a {
        font-size: .7em;
    }
}
/* Личный кабинет*/


/*Шаблонов svg картинка*/
.effect-rain {
    z-index: 9;
}

path.cls-3.react-item.active {
    fill: rgb(18 193 3 / 68%);
}
rect.cls-3.react-item.active {
    fill: rgb(18 193 3 / 68%);
    stroke: #42653f7d;
    stroke-width: 3px;
}
circle.cls-3.react-item.active {
    fill: rgb(18 193 3 / 68%);
    stroke: #42653f7d;
    stroke-width: 3px;
}
polygon.cls-3.react-item.active {
    fill: rgb(18 193 3 / 68%);
    stroke: #42653f7d;
    stroke-width: 3px;
}

.message-wrapper {
    margin: 0;
    padding: .5em;
}
.btn-group {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
}
.btn-group a {
    margin-bottom: 20px;
}

#product-100 .badge-container .callout-new-bg::after {
    content: " *";
    color: #fff;
}/*Какой то из шаблонов*/

/* Сообщение после покупки*/
.found-games-msg {
    margin:20px 0;
    padding:16px;
    /*border:1px solid #e5e5e5;*/
    background-color: rgba(0, 0, 0, .02);
    box-shadow: 1px 1px 3px 0 rgba(0, 0, 0, .2), 0 1px 0 rgba(0, 0, 0, .07), inset 0 0 0 1px rgba(0, 0, 0, .05);
}
/* END Сообщение после покупки*/

.mobile-nav .header-language-dropdown a {
    color: black;
    text-transform: uppercase;
    display: flex;
    flex-wrap: nowrap;
}